Subject: Re: bug#63086: 29.0.90; go-ts-mode treesit-query-error during jit-lock

From: Randy Taylor <[email-masked]>
Date: Fri, 28 Apr 2023 01:35:13 +0000

On Thursday, April 27th, 2023 at 20:16, Dmitry Gutov <[email-masked]> wrote:
> 
> On 26/04/2023 17:05, Randy Taylor wrote:
> 
> > I think java-ts-mode and some others have a helper that checks which
> > queries are supported by testing them, I can make a patch for that if
> > that's the direction we want to go.
> 
> 
> It might be better to use treesit-query-string instead, see
> https://debbugs.gnu.org/cgi/bugreport.cgi?bug=61913#55.

Thanks.

Maybe I'm missing something, but doesn't treesit-query-string with an empty string do nothing and always error, since it queries on whatever string you pass in?

In that case, wouldn't using treesit-query-capture directly be the best? I don't understand why it's not from reading that thread. If it isn't, then treesit-query-validate is the only option, right?